package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.achievement.bo.AchievementDemandListBo;
import com.goafanti.common.model.AchievementDemand;
import com.goafanti.demand.bo.DemandAchievementListBo;

public interface AchievementDemandMapper {
    int deleteByPrimaryKey(AchievementDemand key);

    int insert(AchievementDemand record);

    int insertSelective(AchievementDemand record);

	int insertBatch(List<AchievementDemand> list);

	int deleteByDemandId(String id);

	int batchDeleteByDemandIds(List<String> id);

	int deleteByAchievementId(String id);

	int batchDeleteByAchievementIds(List<String> id);

	List<AchievementDemandListBo> selectAchievementDemandListByDemandId(String id);

	List<DemandAchievementListBo> selectAchievementDemandListByAchievementId(String id);
}